### Method

# Gtk FileDialogset_initial_name

since: 4.10

#### Declaration [src]

    void
    gtk_file_dialog_set_initial_name (
      GtkFileDialog* self,
      const char* name
    )

#### Description [src]

Sets the name for the file that should be initially set. For saving dialogs, this will usually be pre-entered into the name field.

If a file with this name already exists in the directory set via `GtkFileDialog:initial-folder`, the dialog should preselect it.

Available since: 4.10

Sets property | `Gtk.FileDialog:initial-name`

#### Parameters

`name`

  Type: `const char*`

  A UTF8 string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.